### Function

# Vips ArrayImage newv

#### Declaration [src]

    VipsArrayImage*
    vips_array_image_newv (
      int n,
      ...
    )

#### Description [src]

Allocate a new array of `n` `VipsImage` and copy @… into it. Free with `vips_area_unref()`.

The images will all be reffed by this function. They will be automatically unreffed for you by `vips_area_unref()`.

Add an extra `NULL` element at the end, handy for eg. `vips_image_pipeline_array()` etc.

See also

`vips_array_image_new()`.

This function is not directly available to language bindings.

#### Parameters

`n`

  Type: `int`

  Number of images.

`...`

  Type: ``

  List of `VipsImage` arguments.

#### Return value

Type: `VipsArrayImage`

A new `VipsArrayImage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.